### Enumeration

# FwupdPlugin ContextFlags

#### Declaration

    flags FwupdPlugin.ContextFlags

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_CONTEXT_FLAG_NONE` | No description available.
`FU_CONTEXT_FLAG_SAVE_EVENTS` | So that they can be replayed to emulate devices.
`FU_CONTEXT_FLAG_SYSTEM_INHIBIT` | All devices are not updatable.
`FU_CONTEXT_FLAG_LOADED_HWINFO` | Has called `fu_context_load_hwinfo()`
`FU_CONTEXT_FLAG_INHIBIT_VOLUME_MOUNT` | Usually for self tests.
`FU_CONTEXT_FLAG_FDE_BITLOCKER` | Full disk encryption.
`FU_CONTEXT_FLAG_FDE_SNAPD` | Full disk encryption.
`FU_CONTEXT_FLAG_IGNORE_EFIVARS_FREE_SPACE` | Ignore the free space requirement for db, dbx, etc.
`FU_CONTEXT_FLAG_NO_IDLE_SOURCES` | No description available.
`FU_CONTEXT_FLAG_INSECURE_UEFI` | No description available.
`FU_CONTEXT_FLAG_IS_HYPERVISOR` | No description available.
`FU_CONTEXT_FLAG_IS_HYPERVISOR_PRIVILEGED` | Privileged xen can access most hardware.
`FU_CONTEXT_FLAG_IS_CONTAINER` | No description available.
`FU_CONTEXT_FLAG_SMBIOS_UEFI_ENABLED` | No description available.